/*
 *  stable --- prints the symbol table in alphabetical order
 */
stable(ptr)

{  if (ptr != NULL)
  {
	stblhdr();   
	stablx(ptr);
  }
}

stablx(ptr)

struct nlist *ptr;
{
  if (ptr != NULL)
    {
      stablx (ptr->Lnext);
        printf ("%9s %04X",ptr->name,ptr->def);
	if(++symline>4)	{
		symline=0;
		printf("\n\t%");
		  if(++line_ctr >53)
		  stblhdr();}
      stablx (ptr->Rnext);
    }
}
stblhdr()
{
	headr();
	printf("\tSymbol Table: \n\n\t");
	line_ctr=+2;
}

/*
 *  cross  --  prints the cross reference table 
 */
cross(point)
struct nlist *point;
{  if (point != NULL)
  {
	crehdr();   
	crosx(point);
  }
}

crosx(point)

struct nlist *point;
{
struct link *tp;
int i = 1;
  if (point != NULL)
    {
      crosx (point->Lnext);
        printf ("%-9s %04X *",point->name,point->def);
         tp = point->L_list;
          while (tp != NULL)
           {
             if (i++>10)
              {
               i=1;
               printf("\n\t");
		if(++line_ctr >53)
			crehdr();
               printf("                     ");
              }
              printf ("%04d ",tp->L_num);
               tp = tp->next;
           }
         printf ("\n\t");
		if(++line_ctr >53)
			crehdr();
      crosx (point->Rnext);
    }
}

crehdr()
{
	headr();
	printf("\tCross Reference Table: \n\n\t");
	line_ctr=+2;
}
